<%--
cc-by 3.0 Austria, (c) 2009 Markus Loeberbauer
http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/
based on http://code.google.com/appengine/docs/java/gettingstarted/
--%>

<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page isELIgnored="false" %>
<%@ page import="com.google.appengine.api.users.User" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>


<html>
<head>
	<title>Guestbook</title>
    <link type="text/css" rel="stylesheet" href="/stylesheets/main.css" />
</head>
<body>

	<p>
		Hello, ${user.nickname}!
		(You can <a href="${logoutUrl}">sign out</a>.)
	</p>

	<form action="<c:url value="/sign.do" />" method="post">
		<div>
			<textarea name="content" rows="3" cols="60"></textarea>
		</div>
		<div>
			<input type="submit" value="Post Message" />
		</div>
	</form>
	
	<p>
		<c:choose>
			<c:when test="${not empty greetings}">
				<c:forEach var="greeting" items="${greetings}">
					<c:choose>
						<c:when test="${not empty greeting.author}">
							${greeting.author}
						</c:when>
						<c:otherwise>
							Someone
						</c:otherwise>
					</c:choose>
					wrote: ${greeting.content}
					<br />
				</c:forEach>
			</c:when>
			<c:otherwise>
				<p>The guestbook has no messages.</p>
			</c:otherwise>
		</c:choose>
	</p>

</body>
</html>
